Package org.springframework.scheduling.config

# Class AnnotationDrivenBeanDefinitionParser

java.lang.Object
org.springframework.scheduling.config.AnnotationDrivenBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class AnnotationDrivenBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Parser for the 'annotation-driven' element of the 'task' namespace.

Since:
  3.0
Author:
  Mark Fisher, Juergen Hoeller, Ramnivas Laddad, Chris Beams, Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`AnnotationDrivenBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationDrivenBeanDefinitionParser

public AnnotationDrivenBeanDefinitionParser()

## Method Details

### parse

@Nullable public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`